Bug 54851 - Incorrect change to parameters for kallsyms_address_to_symbol()
Summary: Incorrect change to parameters for kallsyms_address_to_symbol()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-21 06:31 UTC by Keith Owens
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-21 09:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:142 normal SHIPPED_LIVE kernel 2.2 and 2.4: kernel 2.2 and 2.4: 2001-10-26 04:00:00 UTC

Description Keith Owens 2001-10-21 06:31:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.10-pre8-xfs i586)

Description of problem:
In kallsyms.c and kallsyms.h, somebody has removed the 'const' keyword from
parameters mod_name, sec_name and sym_name to
kallsyms_address_to_symbol().  The 'const' was there for a very good
reason, the caller is given a pointer into the global kallsyms data and
they must *NOT* change the data referenced by the pointer.  Put
kallsyms_address_to_symbol() back the way I wrote it and change the caller
to pass correct parameters.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Look at the code the way it was originally written.
2.
3.
	

Additional info:

Comment 1 Arjan van de Ven 2001-10-21 08:50:33 UTC
I'll grab the fixed version from the SGI hacked RHL7.2 when SGI releases that

Comment 2 Keith Owens 2001-10-21 09:33:45 UTC
The SGI update just reinstates the original kallsyms.[ch] from the kdb patch.  I
did not change kksymoops.c which is where the real problem is, that is not my
code.  Whoever wrote kksymoops needs to get their code right.  Please do not
wait for SGI update to RH, back out the kallsyms changes now.

Comment 3 Arjan van de Ven 2001-11-03 17:54:49 UTC
Fixed in yesterdays errata


Note You need to log in before you can comment on or make changes to this bug.